Announcement

Collapse
No announcement yet.

HS4 - Errors when using AKGoogleCalendar on Linux

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • spud
    replied
    This problem has been fixed in HS 4.1.10.0.

    Leave a comment:


  • alexbk66
    replied
    Originally posted by spud View Post
    I think this is caused by this mono bug: https://xamarin.github.io/bugzilla-a...42529/bug.html
    (device_prop and device_misc both call CallByName)

    According to the github repo, this bug has been fixed in 2016:
    https://github.com/mono/mono-basic/pull/9

    I have the exact same mono version as you (6.8.0.105) but I don't get the error, so somehow I must run a fixed version of Microsoft.VisualBasic.dll and you don't. But I'm a little lost on mono versioning system and how to troubleshoot this.
    Personnaly I don't care much - I just use Linux for quick test of my plugins. What is important - it's not something I do wrong. So thank you.

    Leave a comment:


  • spud
    replied
    I think this is caused by this mono bug: https://xamarin.github.io/bugzilla-a...42529/bug.html
    (device_prop and device_misc both call CallByName)

    According to the github repo, this bug has been fixed in 2016:
    https://github.com/mono/mono-basic/pull/9

    I have the exact same mono version as you (6.8.0.105) but I don't get the error, so somehow I must run a fixed version of Microsoft.VisualBasic.dll and you don't. But I'm a little lost on mono versioning system and how to troubleshoot this.

    Leave a comment:


  • alexbk66
    replied
    Mono version 6.8.0.105

    I have two pugins AGGoogleCast and AKGoggleCalendar, but I get errors even when all plugins are disabled.

    It's not in Device view. I click on any device to go to the device config, I get always 15 errors:
    Code:
    Error in device_prop: The requested operation caused a stack overflow.
    Error in device_prop: The requested operation caused a stack overflow.
    Error in device_misc: The requested operation caused a stack overflow.
    Error in device_misc: The requested operation caused a stack overflow.
    Error in device_prop: The requested operation caused a stack overflow.
    Error in device_prop: The requested operation caused a stack overflow.
    Error in device_misc: The requested operation caused a stack overflow.
    Error in device_misc: The requested operation caused a stack overflow.
    Error in device_misc: The requested operation caused a stack overflow.
    Error in device_misc: The requested operation caused a stack overflow.
    Error in device_misc: The requested operation caused a stack overflow.
    Error in device_misc: The requested operation caused a stack overflow.
    Error in device_prop: The requested operation caused a stack overflow.
    Error in device_prop: The requested operation caused a stack overflow.
    Error in device_prop: The requested operation caused a stack overflow.

    Leave a comment:


  • spud
    replied
    I was able to reproduce and fix one error in device_prop when accessing the Status/Graphics tab of a device. But the error message was a bit different
    Code:
    Error in device_prop: Attempted to access a missing member
    I can't reproduce the "stack overflow" error
    can you confirm you get some new stack overflow errors everytime you access the Devices page? If so, does it happen in both Grid view and List view? Could you filter on one device and check if it happens on any device or only with specific ones?

    Also what is your mono version?

    Leave a comment:


  • ClemsonJeeper
    replied
    Originally posted by spud View Post
    I'm looking into this problem...
    I just upgraded from HS3Pro to HS4Pro and see this issue anytime I go into "Devices" tab.

    Error in device_prop: The requested operation caused a stack overflow.

    Seems to happen once per device displayed on the Devices screen.

    Leave a comment:


  • spud
    replied
    I'm looking into this problem...

    Leave a comment:


  • beerygaz
    replied
    I'm having the same issue and can find no solution either. Did you every get this resolved? I'm running Ubuntu 20.04 too.

    Leave a comment:


  • alexbk66
    started a topic HS4 - Errors when using AKGoogleCalendar on Linux

    HS4 - Errors when using AKGoogleCalendar on Linux

    When I try AKGoogleCalendar on HS4 Linux (Ubuntu 20.04) - I get lots of nasty errors in the terminal window. Plugin still seem to work, but I can't ignore stack overflow errors.

    ​​​​​​
    Code:
    Error in device_prop: The requested operation caused a stack overflow.
    Error in device_misc: The requested operation caused a stack overflow.
    JLDubz?


    [EDIT 1]

    FYI, mono-vbnc is installed

    [EDIT 2]

    There's quite a few threads about this error in the forum - no single reply from HST!
    macromark and spud are mentioned directly in one of them.

    https://forums.homeseer.com/forum/hs...hs-pro-4_0_5_0
    https://forums.homeseer.com/forum/ho...e-field-issues
    https://forums.homeseer.com/forum/hs...-after-linking
    https://forums.homeseer.com/forum/ho...stack-overflow
    https://forums.homeseer.com/forum/li...-control/page2
Working...
X